/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.loader.composite;

import org.fabric3.spi.loader.LoaderException;

/**
 * @version $Rev: 2488 $ $Date: 2008-01-20 12:40:32 +0000 (Sun, 20 Jan 2008) $
 */
public class RequiredPropertyNotProvidedException extends LoaderException {
    private final String componentName;
    private final String name;

    public RequiredPropertyNotProvidedException(String componentName, String name) {
        this.componentName = componentName;
        this.name = name;
    }

    public String getComponentName() {
        return componentName;
    }

    public String getName() {
        return name;
    }

    public String getMessage() {
        return "Component '" + componentName + "' has a property '" + name + "' which requires that a value is supplied";
    }
}